Subject: Re: Unicode in filenames support?
From: Carlo Florendo <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 08 Jun 2005 16:14:31 +0800

Shaddy Baddah wrote:

>Hi,
>
>Williams, Gerald S (Jerry) wrote:
>  
>
>>Corinna Vinschen wrote:
>>
>>    
>>
>>>Not that I know of.  We're discussing to convert Cygwin's path
>>>handling to use Unicode for a while now, but it will take time. 
>>>Don't expect this any time soon.
>>>      
>>>
>>I've been off of the developer list for a while now, and
>>now the archives are subscriber only. :-(
>>
>>How are you thinking about doing this?
>>    
>>
>
>I too am interested in the discussion. I looked into the associated code
>recently, even going so far as looking into the source to see what Sun
>Java 1.5.0 does in this area.
>
>It may be relevant to know that Unicode support was added, for at least
>the java.awt.FileDialog class, under the Windows JVM, between 1.4.2 and
>1.5.0. Support for the Microsoft Layer for Unicode (unicows.dll) dll is
>was also added (and the dll distributed with the binary package).
>
>Are the cygwin developers contemplating support for this dll as well?
>
>On an aside, I respect the policy on the developers mailing list being
>subscriber only, but I disagree with the "there is no middle ground"
>principal when it comes to read-only access to the mailing list.
>
>Theorising that the reason for it is read-only access would encourage an
>increase in "add me please" requests to the list. Is that such a big
>price to pay?
>
>Regards,
>Shaddy
>
>  
>
Nope, that's not a big price at all.  The big price is when you tire 
CGF, the man behind this all. 

http://www.cygwin.com/ml/cygwin/2005-05/msg00870.html

-- 
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/